İletişim Formu “PHPMailerAutoload.php on line 45” Hatası ve Çözümü

web tasarim - İletişim Formu "PHPMailerAutoload.php on line 45" Hatası ve Çözümü

7-8 sene önce bu bağlantıda paylaştığım smtp ve re-captcha destekli ücretsiz iletişim formunu senelerdir sorunsuz bir şekilde, hem de Yandex 360 servisinin smtp desteği ile kullanmaktayım. Fakat yakın zamanda gerçekleştirdiğim hosting değişiminde bir sorun ile karşılaştım. Başlıkta da göreceğiniz hata mesajı “PHPMailerAutoload.php on line 45”, iletişim formunun üst kısmında belirmeye başladı. Gönderiler alıcı adrese ulaşıyor fakat karşıma çıkan uyarı mesajı hiç hoş görünmüyordu.

Peki Ne Yaptım?

Öncelikle sorunun kaynağı PHPMailerAutoload.php dosyasında 42. satıra baktım. İlgili satırda şu bilgi yer alıyordu;

* Fall back to traditional autoload for old PHP versions

Bu mesajı görünce hosting sağlayıcımda kullanılan php sürümü ile bağlantılı bir durum olduğunu gördüm ve araştırmalarım sonrası aşağıdaki github sayfasına ulaştım.

https://github.com/Mansimran7/Voice-based-E-mail/blob/master/PHPMailer-master/PHPMailerAutoload.php

İlgili sayfada sorunun çözümü için yeniden düzenlenen bir php mailer autoload dosyası paylaşılıyordu.

Kodların tamamını mevcut phpmailerautoload.php dosyası içeriği ile değiştirdiğimizde de iletişim formunda karşımıza çıkan hata mesajı kayboluyordu.

Çözümü uyguladım, birkaç hafta testlerini yaptım ve hiçbir sorun yaşamayınca çözüm yolunu sizlerle de paylaşmak istedim.

Aslında bu çözüm yönteminden önce host panelinden php sürümleri arasında geçişlerde yapmıştım fakat hiçbir php sürümü değişimi hata mesajının görünmesini engelleyememişti.

Yani siz bu çözümü denemeden önce php sürümleri arasında geçiş yapmayı deneyebilir, sonrasında yine çözüme ulaşamazsanız aşağıdaki kodları eski phpmailerautoload dosyanıza aktarabilirsiniz.

İnşallah işinize yarar.

<?php
/**
 * PHPMailer SPL autoloader.
 * PHP Version 5
 * @package PHPMailer
 * @link https://github.com/PHPMailer/PHPMailer/ The PHPMailer GitHub project
 * @author Marcus Bointon (Synchro/coolbru) <phpmailer@synchromedia.co.uk>
 * @author Jim Jagielski (jimjag) <jimjag@gmail.com>
 * @author Andy Prevost (codeworxtech) <codeworxtech@users.sourceforge.net>
 * @author Brent R. Matzelle (original founder)
 * @copyright 2012 - 2014 Marcus Bointon
 * @copyright 2010 - 2012 Jim Jagielski
 * @copyright 2004 - 2009 Andy Prevost
 * @license http://www.gnu.org/copyleft/lesser.html GNU Lesser General Public License
 * @note This program is distributed in the hope that it will be useful - WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * PHPMailer SPL autoloader.
 * @param string $classname The name of the class to load
 */
function PHPMailerAutoload($classname)
{
    //Can't use __DIR__ as it's only in PHP 5.3+
    $filename = dirname(__FILE__).DIRECTORY_SEPARATOR.'class.'.strtolower($classname).'.php';
    if (is_readable($filename)) {
        require $filename;
    }
}

if (version_compare(PHP_VERSION, '5.1.2', '>=')) {
    //SPL autoloading was introduced in PHP 5.1.2
    if (version_compare(PHP_VERSION, '5.3.0', '>=')) {
        spl_autoload_register('PHPMailerAutoload', true, true);
    } else {
        spl_autoload_register('PHPMailerAutoload');
    }
} else {
    /**
     * Fall back to traditional autoload for old PHP versions
     * @param string $classname The name of the class to load
     */




    # removed line 51-54 by mansimran because of error 

    #Deprecated: __autoload() is deprecated, use spl_autoload_register() instead in C:\xampp\htdocs\email_1\Voice-based-E-mail\PHPMailer-master\PHPMailerAutoload.php on line 45
    

    /*function __autoload($classname)
    {
        PHPMailerAutoload($classname);
    }
    */
}

İlgili çözüm yöntemi, içerisinde phpmailerautoload.php yer alan ve başlıkta paylaştığım hata mesajını görmenize sebep olan tüm iletişim formlarında kullanabilir.

– Reklamlar –